Subject: Re: [PATCH net-next 3/4] r8152: Add irq mitigation for RTL8157/9

From: Michal Pecio <[email-masked]>
Date: Fri, 1 May 2026 07:24:23 +0200

On Thu, 30 Apr 2026 16:19:30 +0200, Andrew Lunn wrote: 
> If you are getting interrupts after the device has been disabled, i
> guess it is because the timer for a delayed interrupt is not cancelled
> by the firmware. If so you might be able to work around this firmware
> bug. Disable the receiver, sleep for 10ms but keep processing
> interrupts, and then continue with the tear down.

If the device responded to this URB, it would complete with a normal
status (success or some USB error). ESHUTDOWN (and the debug log)
indicate that the URB was unlinked by USB core due to rmmod, before 
the driver knew that it's being unloaded and disabled anything.

Regards,
Michal